Skip to main content
POST
Create gold label for a run
Create a new gold label for a specific run. A gold label can contain either a text value or an object value, but not both. When using object values, you can optionally specify if it’s a partial gold label.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the run

Body

application/json
output_resource_name
string
required
text_value
string
object_value
object
object_value_is_partial
boolean

Response

Gold label created successfully

id
string<uuid>
required

Unique identifier for the gold label

account_id
string
required

ID of the account that owns this gold label

run_id
string<uuid>
required

ID of the run this gold label belongs to

output_resource_name
string
required

Name of the output resource this gold label is for

created_at
string<date-time>
required

When the gold label was created

text_value
string | null

Text value for the gold label

object_value
object | null

Object value for the gold label

object_value_is_partial
boolean | null

Whether the object value is a partial gold label

created_by
string | null

ID of the user who created the gold label

updated_by
string | null

ID of the user who last updated the gold label

updated_at
string<date-time>

When the gold label was last updated